Page MenuHomePhabricator

decom helium and heze
Open, MediumPublic

Description

This is a task to completely decom helium and heze, formely backup hosts replaced by backup1001 and backup2001.

Event Timeline

Dzahn created this task.Aug 18 2020, 6:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 18 2020, 6:44 PM

Change 621038 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] decom helium and heze

https://gerrit.wikimedia.org/r/621038

Change 621042 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] profile::backup: remove helium from ferm directors

https://gerrit.wikimedia.org/r/621042

fgiunchedi triaged this task as Medium priority.Aug 19 2020, 9:06 AM
jcrespo updated the task description. (Show Details)Aug 19 2020, 2:19 PM

In addition to the data that I am unable to recover some data using the new hardware, replacement backup2001 has been crashing frequently since setup T260764#6396032, which does not give me confidence to replace old hardware.

Change 621038 abandoned by Dzahn:
[operations/puppet@production] decom helium and heze

Reason:
per "It requires more work, modifying backup director code."

https://gerrit.wikimedia.org/r/621038

Change 621042 abandoned by Dzahn:
[operations/puppet@production] profile::backup: remove helium from ferm directors

Reason:
per "not yet"

https://gerrit.wikimedia.org/r/621042

Change 621042 restored by Jcrespo:
[operations/puppet@production] profile::backup: remove helium from ferm directors

https://gerrit.wikimedia.org/r/621042

Change 621042 merged by Dzahn:
[operations/puppet@production] profile::backup: remove helium from ferm directors

https://gerrit.wikimedia.org/r/621042

Mentioned in SAL (#wikimedia-operations) [2020-09-10T18:00:19Z] <mutante> helium (former backup host) is being removed from ferm rules on all hosts, it was replaced by backup1001 (T260717)

Change 626460 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] site: remove backup host role from helium

https://gerrit.wikimedia.org/r/626460